/**
*      Head file of Accept Class
*    
*      Created by:    Nan Chen
*      Created date:  8/16/05
*      Last Modified: 3/5/07
*/

#ifndef ACCEPT_H
#define ACCEPT_H
// #include <stdio.h>
// #include <stdlib.h>
// #include <cmath>
#include <gdecs/gdecs.h>

#include "Random.h"

class Accept
{
public:
	double temperature;
	double constantk;
	virtual bool energyfunction(double diff)
	{

		if (diff < 0) return (true);
		double p = exp(-diff / constantk /temperature);
		double p1=rand01();
		if (p1 <= p) 
			return (true);
		else
			return (false);    
	};

};
#endif

