/**
*      Head file for Cell Class
*      Cell class include the information of one Cell
*   
*      Created by:    Nan Chen
*      Created date:  8/7/05
*      Last Modified: 3/7/05
*/

/*
* Cell structure
*/

#ifndef CELL_H
#define CELL_H
class Cell
{
public:

    int cellID;
    char celltype;
    int volume;
    int comass[3];
    int oldComass[3];
    bool fixed;
    int surface;
    int liquid;
    double velocity[3];
    double liquidV[3];

    void addsite(int x, int y, int z)
    {
        volume++;
        comass[0] += x;
        comass[1] += y;
        comass[2] += z;
    };
    void removesite(int x, int y, int z)
    {
        volume--;
        comass[0] -= x;
        comass[1] -= y;
        comass[2] -= z;
    };
 
    

    Cell();
	~Cell();
};
#endif
