/**
*      Head file for CellMap Class
*      CellMap provides basic functions for cell array
*      It has all cells information in a field;
*      
*      Created by:    Nan Chen
*      Created date:  8/7/05
*      Last Modified: 3/5/05
*/

#ifndef CELLMAP_H
#define CELLMAP_H
#include "Cell.h"
#include "Site.h"
#include <stdio.h>
#include "SingleMap.h"
class CellMap
{
private:

    
public:
    CellMap();
    int cellnumber;
    int MAXCELLNUMBER;
    Cell *cellarray; 
    bool *isused;
    FILE *syslog;

    void checksite(Site &t, int x, int y, int z);

    void initfield(SingleMap *sm);
    int addnewcell(const Cell& ce);
    void init(int number)
    {
         cellarray = new Cell[number];
         isused = new bool[number];
         MAXCELLNUMBER = number;
         for (int i = 0; i < MAXCELLNUMBER; i++)
	 {
             isused[i] = false;         
	     cellarray[i].volume = 0;
	}
	cellnumber = 0;
    };
    void cleancellmap();
    ~CellMap(); 
};
#endif
