/**
*      Cpp file of ChemField Class
*      ChemField class provides the distribution of Chemical Field
*      
*      Created by:    Nan Chen
*      Created date:  8/24/05
*      Last Modified: 8/24/05
*/

#include "ChemField.h"
//#include <cmath>
#include <gdecs/gdecs.h>

double ChemField::getchem(int x, int y, int z)
{
	return (sqrt((double) (x * x + y * y + z * z)));
}


