/**
*      CPP file of DataWriter Class
*      DataWriter class is used to write a field into a file
*    
*      Created by:    Nan Chen
*      Created date:  8/12/05
*      Last Modified: 10/19/05
*/

#include "DataWriter.h"
void DataWriter::nodewrite(char *filename, SingleMap *field)
{
  if (filemode == 1)
  {

    FILE *fout = fopen(filename, "wt");
    int x,y,z;
    x = field->dimensionsize[0];
    y = field->dimensionsize[1];
    z = field->dimensionsize[2];
	
    fprintf(fout, "%d %d %d", x, y, z);

    int i,j,k;
    for (i = 0; i < z; i++)
      for (j =0; j < y; j++)
        for (k = 0; k < x; k++)
	{
	  int id, celltype;
	  Site tesite;
	  tesite = field->getsite(k, j, i);	  
	  id = tesite.cellID ;
	  celltype = tesite.celltype;
	  fprintf(fout, " %d %d  ", id, celltype);
	}
    fclose(fout);
  } 
}  